# Class NucleotideScores

java.lang.Object
jebl.evolution.align.scores.Scores
jebl.evolution.align.scores.NucleotideScores

All Implemented Interfaces:
  `ScoreMatrix`

Direct Known Subclasses:
  `Hamming, JukesCantor`

public class NucleotideScores extends Scores

Version:
  $Id: NucleotideScores.java 916 2008-05-26 03:33:27Z matt_kearse $
Author:
  Richard Moir, Alexei Drummond

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NucleotideScores`
`CLUSTALW`
`static final NucleotideScores`
`IUB`

### Fields inherited from class Scores

`score`

## Constructor Summary

Constructors
Constructor
Description
`NucleotideScores(float match, float misMatch)`
`NucleotideScores(float match, float misMatch, float ambiguousMatch)`
`NucleotideScores(String name, float match, float misMatch)`
`NucleotideScores(String name, float match, float mismatchTransition, float mismatchTransversion)`
`NucleotideScores(String name, float match, float mismatchTransition, float mismatchTransversion, float ambiguousMatch, boolean useWeightedAmbigousMatches)`
`NucleotideScores(NucleotideScores scores)`
`NucleotideScores(Scores scores, double percentmatches)`

## Method Summary

Modifier and Type
Method
Description
`final String`
`getAlphabet()`
`String`
`getName()`
`String`
`toString()`

### Methods inherited from class Scores

`duplicate, forMatrix, getMatrixString, getScore, includeAdditionalCharacters, includeGaps`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### IUB

public static final NucleotideScores IUB

### CLUSTALW

public static final NucleotideScores CLUSTALW

## Constructor Details

### NucleotideScores

public NucleotideScores(NucleotideScores scores)

### NucleotideScores

public NucleotideScores(float match, float misMatch)

Parameters:
  `match` - match score
  `misMatch` - mismatch score

### NucleotideScores

public NucleotideScores(float match, float misMatch, float ambiguousMatch)

### NucleotideScores

public NucleotideScores(String name, float match, float misMatch)

### NucleotideScores

public NucleotideScores(String name, float match, float mismatchTransition, float mismatchTransversion)

### NucleotideScores

public NucleotideScores(String name, float match, float mismatchTransition, float mismatchTransversion, float ambiguousMatch, boolean useWeightedAmbigousMatches)

### NucleotideScores

public NucleotideScores(Scores scores, double percentmatches)

## Method Details

### getName

public String getName()

Returns:
  human readable name

### getAlphabet

public final String getAlphabet()

Returns:
  a string containing the valid characters for this score matrix.

### toString

public String toString()

Overrides:
  `toString` in class `Scores`